为什么Android Studio无法识别此依赖库?

我一直在使用gradle库依赖项。

其中一些已被弃用 ,但即使它们不再被维护,它们仍然非常有用。

我正在尝试实现此MenuDrawer库,但Android Studio无法导入类。

在此处输入图像描述

另一方面,它成功导入gradle依赖项。

dependencies { compile 'net.simonvt.menudrawer:menudrawer:3.0.4' } 

CHANGELOG

有什么想法吗?

您需要将项目与gradle提供的依赖项同步。 编辑gradle文件时通常会要求您这样做,但您可以通过菜单Tools -> Android -> Sync Project With Gradle Files手动启动它。 然后你可以在MenuDrawer文本上有光标时ALT + Enter ,看看是否有导入相关内容的选项。

BTW: 3.0.6是最新版本 ,所以先检查一下,看看是否能解决问题。

最后,您应该考虑使用支持库的实现perhpas: https : //developer.android.com/training/implementing-navigation/nav-drawer.html